apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    creationTimestamp: "2022-02-17T06:22:40Z"
    labels:
      component: apiserver
      provider: kubernetes
    name: kubernetes
    namespace: default
    resourceVersion: "210"
    uid: d6d28590-b931-4691-922a-d3e0b0d06a8d
  spec:
    clusterIP: 10.96.0.1
    clusterIPs:
    - 10.96.0.1
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: 6443
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"v1","kind":"Service","metadata":{"annotations":{},"labels":{"app":"nginx"},"name":"nginx","namespace":"default"},"spec":{"ports":[{"name":"http","port":80,"targetPort":80}],"selector":{"app":"nginx"}}}
    creationTimestamp: "2022-06-17T09:01:58Z"
    labels:
      app: nginx
    name: nginx
    namespace: default
    resourceVersion: "13926357"
    uid: 12adb911-3235-4204-bda6-6fe09955fb15
  spec:
    clusterIP: 10.109.86.19
    clusterIPs:
    - 10.109.86.19
    ipFamilies:
    - IPv4
    ipFamilyPolicy: SingleStack
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 80
    selector:
      app: nginx
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
apiVersion: v1
items:
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      deployment.kubernetes.io/revision: "2"
      kubectl.kubernetes.io/last-applied-configuration: |
        {"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{},"labels":{"app":"nginx"},"name":"nginx","namespace":"default"},"spec":{"replicas":1,"selector":{"matchLabels":{"app":"nginx"}},"template":{"metadata":{"labels":{"app":"nginx"}},"spec":{"containers":[{"image":"nginx:1.21.3","name":"nginx","ports":[{"containerPort":80,"name":"http"}],"volumeMounts":[{"mountPath":"/etc/nginx/conf.d","name":"config"},{"mountPath":"/var/log/nginx","name":"log"},{"mountPath":"/home","name":"www"},{"mountPath":"/etc/localtime","name":"localtime","readOnly":true}]}],"hostname":"nginx","volumes":[{"name":"config","nfs":{"path":"/home/NFSData/dev/nginx/config","server":"nfs.daline.com.cn"}},{"name":"log","nfs":{"path":"/home/NFSData/dev/nginx/log","server":"nfs.daline.com.cn"}},{"name":"www","nfs":{"path":"/home/NFSData/dev/nginx/www","server":"nfs.daline.com.cn"}},{"hostPath":{"path":"/etc/localtime"},"name":"localtime"}]}}}}
    creationTimestamp: "2022-04-01T07:36:02Z"
    generation: 2
    labels:
      app: nginx
    name: nginx
    namespace: default
    resourceVersion: "25810512"
    uid: a2b2d218-2a68-42a6-bc1f-abde0a75adca
  spec:
    progressDeadlineSeconds: 600
    replicas: 1
    revisionHistoryLimit: 10
    selector:
      matchLabels:
        app: nginx
    strategy:
      rollingUpdate:
        maxSurge: 25%
        maxUnavailable: 25%
      type: RollingUpdate
    template:
      metadata:
        creationTimestamp: null
        labels:
          app: nginx
      spec:
        containers:
        - image: nginx:1.21.3
          imagePullPolicy: IfNotPresent
          name: nginx
          ports:
          - containerPort: 80
            name: http
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /etc/nginx/conf.d
            name: config
          - mountPath: /var/log/nginx
            name: log
          - mountPath: /home
            name: www
          - mountPath: /etc/localtime
            name: localtime
            readOnly: true
        dnsPolicy: ClusterFirst
        hostname: nginx
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext: {}
        terminationGracePeriodSeconds: 30
        volumes:
        - name: config
          nfs:
            path: /home/NFSData/dev/nginx/config
            server: nfs.daline.com.cn
        - name: log
          nfs:
            path: /home/NFSData/dev/nginx/log
            server: nfs.daline.com.cn
        - name: www
          nfs:
            path: /home/NFSData/dev/nginx/www
            server: nfs.daline.com.cn
        - hostPath:
            path: /etc/localtime
            type: ""
          name: localtime
  status:
    availableReplicas: 1
    conditions:
    - lastTransitionTime: "2022-04-01T07:36:02Z"
      lastUpdateTime: "2022-04-11T07:10:22Z"
      message: ReplicaSet "nginx-b76c9b49f" has successfully progressed.
      reason: NewReplicaSetAvailable
      status: "True"
      type: Progressing
    - lastTransitionTime: "2022-09-28T00:52:20Z"
      lastUpdateTime: "2022-09-28T00:52:20Z"
      message: Deployment has minimum availability.
      reason: MinimumReplicasAvailable
      status: "True"
      type: Available
    observedGeneration: 2
    readyReplicas: 1
    replicas: 1
    updatedReplicas: 1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""
apiVersion: v1
items:
- apiVersion: networking.k8s.io/v1
  kind: Ingress
  metadata:
    annotations:
      nginx.ingress.kubernetes.io/proxy-body-size: 0m
      nginx.ingress.kubernetes.io/rewrite-target: /
    creationTimestamp: "2022-09-27T08:40:06Z"
    generation: 1
    name: gjqh
    namespace: default
    resourceVersion: "25732523"
    uid: 15b909c0-be28-4211-990b-69beee5bd334
  spec:
    ingressClassName: nginx
    rules:
    - host: gjqh.dev.daline.com.cn
      http:
        paths:
        - backend:
            service:
              name: nginx
              port:
                number: 80
          path: /
          pathType: Prefix
  status:
    loadBalancer: {}
- apiVersion: networking.k8s.io/v1
  kind: Ingress
  metadata:
    annotations:
      nginx.ingress.kubernetes.io/proxy-body-size: 0m
      nginx.ingress.kubernetes.io/rewrite-target: /
    creationTimestamp: "2022-09-23T02:40:46Z"
    generation: 1
    name: gjqhadmin
    namespace: default
    resourceVersion: "25269189"
    uid: 70442823-ee40-4a6a-96e6-8639baecea6c
  spec:
    ingressClassName: nginx
    rules:
    - host: gjqhadmin.dev.daline.com.cn
      http:
        paths:
        - backend:
            service:
              name: nginx
              port:
                number: 80
          path: /
          pathType: Prefix
  status:
    loadBalancer: {}

